API ReferenceapiaffiliatesGET /v1/affiliates/applications/pending

GET /v1/affiliates/applications/pending

Service: affiliates · operationId: (none)

List all pending affiliate applications

Required scopes

(no scope declared — review service config)

Responses

200 Pending applications

{
  "type": "object",
  "properties": {
    "data": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "user_id": {
            "type": "string"
          },
          "referral_code": {
            "type": "string"
          },
          "commission_rate_bps": {
            "type": "integer"
          },
          "status": {
            "type": "string"
          },
          "brand_id": {
            "type": "string"
          },
          "applied_at": {
            "type": [
              "string",
              "null"
            ]
          },
          "reviewed_at": {
            "type": [
              "string",
              "null"
            ]
          },
          "reviewed_by": {
            "type": [
              "string",
              "null"
            ]
          },
          "rejection_reason": {
            "type": [
              "string",
              "null"
            ]
          },
          "created_at": {
            "type": "string"
          },
          "updated_at": {
            "type": "string"
          }
        },
        "required": [
          "id",
          "user_id",
          "referral_code",
          "commission_rate_bps",
          "status",
          "brand_id",
          "applied_at",
          "reviewed_at",
          "reviewed_by",
          "rejection_reason",
          "created_at",
          "updated_at"
        ]
      }
    }
  },
  "required": [
    "data"
  ]
}

Example

curl -X GET https://affiliates.platform.loop.health/v1/affiliates/applications/pending \
  -H "Authorization: Bearer $ACCESS_TOKEN"